package service

import "context"

type Service interface {
	// QueryIP(ip string) (*model.IPInfo, error)
	GetWaf(ctx context.Context, gatewayName string) (*Waf, error)
	CreateWaf(ctx context.Context, req *CreateWafReq) (*Waf, error)
}
